/* 

   Multithreaded C Program Using the Pthread API 
   compile with:
   gcc pthread_01.c -o pthread_01 -pthread 

*/

#include <stdio.h>
#include <pthread.h>
#include <unistd.h>

void *kidfunc(void *p) {
 printf ("Kid ID is ---> %d\n", getpid( ));
}

int main() {
 pthread_t kid ;
 pthread_create (&kid, NULL, kidfunc, NULL) ;
 printf ("Parent ID is ---> %d\n", getpid( )) ;
 pthread_join (kid, NULL) ;
 printf ("No more kid!\n") ;
 return 0;
}

/*

---------------///

Parent ID is ---> 30969
Kid ID is ---> 30969
No more kid!

-----------------///

Parent ID is ---> 30981
Kid ID is ---> 30981
No more kid!

--------------///

Parent ID is ---> 30990
Kid ID is ---> 30990
No more kid!

------------///

*/

