/* 

   Multithreaded C Program Using the Pthread API 
   C program to demonstrate working of pthread_self()
   compile with:
   gcc pthread_05.c -o pthread_05 -pthread 

*/

#include <stdio.h> 
#include <stdlib.h> 
#include <pthread.h> 
void *calls(void *ptr) 
{ 
    // using pthread_self() get current thread id 
    printf("In funtion \nthread id = %ld\n", pthread_self()); 
    pthread_exit(NULL); 
    return NULL; 
} 
  
int main() 
{ 
    pthread_t thread; // declare thread 
    pthread_create(&thread, NULL, calls, NULL); 
    printf("In main \nthread id = %ld\n", thread);  
    pthread_join(thread, NULL);  
    return 0; 
} 

/*

./pthread_05
In main 
thread id = 139784458471168
In funtion 
thread id = 139784458471168

*/
